%global _lname de.wagnermartin.Plattenalbum

Name:           plattenalbum
Version:        2.0.1
Release:        1%{?dist}
Summary:        A simple music browser for MPD

License:        GPL-3.0-only
URL:            https://github.com/SoongNoonien/plattenalbum
Source0:        %url/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  glib2-devel
BuildRequires:  gtk4
BuildRequires:  libappstream-glib
BuildRequires:  meson

Requires:  gtk4
Requires:  python3-mpd2
Requires:  python3-gobject

%description
%{summary}

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{_lname}.desktop
appstream-util validate-relax --nonet %{buildroot}/%{_metainfodir}/%{_lname}.appdata.xml

%find_lang %{_lname}

%files -f %{_lname}.lang
%license LICENSE
%doc README.md NEWS
%{_bindir}/plattenalbum
%{_datadir}/applications/%{_lname}.desktop
%{_datadir}/glib-2.0/schemas/%{_lname}.gschema.xml
%{_datadir}/icons/hicolor/*/*/%{_lname}*
%{_datadir}/%{_lname}/
%{_metainfodir}/%{_lname}.appdata.xml

%changelog
* Mon Mar 25 2024 Leigh Scott <leigh123linux@gmail.com> - 2.0.1-1
- Update to 2.0.1

* Sun Jan 21 2024 Leigh Scott <leigh123linux@gmail.com> - 1.11.1-0.1.20240120git0a948f9
- Initial package.
